/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.facebook.samples.litho.java.animations.docs.keyscope;

import com.facebook.litho.Component;
import com.facebook.litho.ComponentContext;
import com.facebook.litho.Transition;
import com.facebook.litho.animation.AnimatedProperties;
import com.facebook.litho.annotations.LayoutSpec;
import com.facebook.litho.annotations.OnCreateLayout;
import com.facebook.litho.annotations.OnCreateTransition;

// start_working
@LayoutSpec
public class GlobalKeyParentComponentSpec {
  @OnCreateLayout
  static Component onCreateLayout(ComponentContext c) {
    return GlobalKeyTransitionComponent.create(c).build();
  }

  @OnCreateTransition
  static Transition onCreateTransition(ComponentContext c) {
    return Transition.create(
            Transition.TransitionKeyType.GLOBAL, GlobalKeyTransitionComponentSpec.SQUARE_KEY)
        .animate(AnimatedProperties.X);
  }
}
// end_working

/*
// not_working_start
@LayoutSpec
public class GlobalKeyParentComponentSpec {
  @OnCreateLayout
  static Component onCreateLayout(ComponentContext c) {
    return GlobalKeyTransitionComponent.create(c).build();
  }

  @OnCreateTransition
  static Transition onCreateTransition(ComponentContext c) {
    return Transition.create(GlobalKeyTransitionComponentSpec.SQUARE_KEY)
        .animate(AnimatedProperties.X);
  }
}
// not_working_end
 */
