/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.facebook.samples.litho.kotlin.animations.expandableelement

import ExpandableElementMessageContent
import android.graphics.Color
import com.facebook.litho.Component
import com.facebook.litho.ComponentScope
import com.facebook.litho.KComponent
import com.facebook.litho.Row
import com.facebook.litho.Style
import com.facebook.litho.core.padding
import com.facebook.litho.dp
import com.facebook.yoga.YogaJustify

class ExpandableElementMe(
    private val messageText: String,
    private val timestamp: String,
    private val seen: Boolean = false
) : KComponent() {

  override fun ComponentScope.render(): Component? {
    return ExpandableElement(
        Row(
            style = Style.padding(start = 75.dp, end = 5.dp),
            justifyContent = YogaJustify.FLEX_END) {
          child(
              ExpandableElementMessageContent(
                  backgroundColor = 0xFF0084FF.toInt(),
                  messageTextColor = Color.WHITE,
                  messageText = messageText))
        },
        timestamp,
        seen)
  }
}
